/////////////////////////////////////////////////////////////////////////////
//  File:       FormulaDlg.h
//  Version:    1.0.0.0
//  Created:    03-april-2002
//
//  Author:     Thorsten Wack
//  E-mail:     wt@umsicht.fhg.de
//
//
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included. If 
// the source code in  this file is used in any commercial application 
// then a simple email would be nice.
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability if it causes any damage whatsoever.
// It's free
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORMULADLG_H__INCLUDED_)
#define AFX_FORMULADLG_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FormulaDlg.h : header file
//
#include "ToolBarBtn.h"
#include "FormulaCtrl.h"
#include "BinTree.h"


/////////////////////////////////////////////////////////////////////////////
// CFormulaDlg dialog

class CFormulaDlg : public CDialog
{
// Construction
public:
	CFormulaDlg(CWnd* pParent = NULL);
	~CFormulaDlg();
	
// Dialog Data
	//{{AFX_DATA(CFormulaDlg)
	enum { IDD = IDD_DIALOG_FORMULA };
	CComboBox	m_ComboLangType;
	CEdit	m_EditOutput;
	CBitmapButton	m_btnRedo;
	CBitmapButton	m_btnUndo;
	CToolBarBtn	m_btnEquation;
	CToolBarBtn	m_btnBrace;
	CToolBarBtn	m_btnUpperGreek;
	CToolBarBtn	m_btnLowerGreek;
	CToolBarBtn	m_btnSum;
	CToolBarBtn	m_btnProd;
	CToolBarBtn	m_btnIntegral;
	CToolBarBtn	m_btnDerivative;
	CToolBarBtn	m_btnMatrix;
	CToolBarBtn	m_btnPbyq;
	CToolBarBtn	m_btnFunction;
	CToolBarBtn	m_btnCoreData;
	CToolBarBtn	m_btnVector;
	CToolBarBtn	m_btnArrows;
	CFormulaCtrl m_FormulaCtrl;
	CString	m_strOutput;
	//}}AFX_DATA

	CFont m_OutpuCtrlFont;
	CBinTree m_BinTree;	
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFormulaDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
	CBinTree* GetBinTree();
	CToolTipCtrl m_tooltip;

protected:

	// Generated message map functions
	//{{AFX_MSG(CFormulaDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnButtonUndo();
	afx_msg void OnButtonRedo();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnButtonSettings();
	afx_msg void OnExportBmp();
    afx_msg void OnUpdateButtonUndo(CCmdUI* pCmdUI);
    afx_msg void OnUpdateButtonRedo(CCmdUI* pCmdUI);
	afx_msg void OnExportSrc();
	//}}AFX_MSG
	afx_msg LONG ToolBarCtrlSelected(WPARAM wParam = 0, LPARAM lParam = 0);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMULADLG_H__INCLUDED_)
